All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.etl
Interface DirectiveInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote, TransformationInterface

    public interface DirectiveInterface

extends TransformationInterface

This is the class for DirectiveInterface.

Field Summary
`static java.lang.String` | `PUBLIC_TYPE` The public type of this object.
`static java.lang.String` | `ROLE_DIRECTIVE` The Transform role of this object if is not a template.
`static java.lang.String` | `ROLE_DIRECTIVE_TEMPLATE` The Transform role of this object if it is a template.

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`java.net.URI` | `getApplicationOpenURI()` Get the hosting application Web access URI for this object type.
`java.net.URI` | `getApplicationRestURI()` Get the hosting application REST API URI for this object type.
`java.net.URI` | `getExecutionURIById()` Get the URI used to execute a directive by internal identity.
`java.net.URI` | `getExecutionURIByPath()` Get the URI used to execute a directive by path.
`java.lang.String` | `getInternalIdentity()` Get the identity of this directive in the using application.
`boolean` | `isTemplate()` Get whether this object is a directive template or not.
`void` | `setInternalIdentity(java.lang.String internalId)` Set the identity of this directive in the using application.
`void` | `setTemplate(boolean bIsTemplate)` Set this object to be a template or not.

Methods inherited from interface com.sas.services.information.metadata.TransformationInterface
`getTransformationSources, getTransformRole`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### PUBLIC_TYPE

    static final java.lang.String PUBLIC_TYPE

  The public type of this object.

  See Also:
    Constant Field Values

### ROLE_DIRECTIVE

    static final java.lang.String ROLE_DIRECTIVE

  The Transform role of this object if is not a template.

  See Also:
    Constant Field Values

### ROLE_DIRECTIVE_TEMPLATE

    static final java.lang.String ROLE_DIRECTIVE_TEMPLATE

  The Transform role of this object if it is a template.

  See Also:
    Constant Field Values

Method Detail

### isTemplate

    boolean isTemplate()
                       throws java.rmi.RemoteException,
                              ServiceException

  Get whether this object is a directive template or not.

  Returns:
    true if template, false otherwise.
  Throws:
    `java.rmi.RemoteException` - if error getting remote environment.
    `ServiceException`

### setTemplate

    void setTemplate(boolean bIsTemplate)
                     throws java.rmi.RemoteException,
                            ServiceException

  Set this object to be a template or not.

  Parameters:
    `bIsTemplate` - input boolean to set true for template, false otherwise.
  Throws:
    `java.rmi.RemoteException` - if error getting remote environment.
    `ServiceException`

### getInternalIdentity

    java.lang.String getInternalIdentity()
                                         throws java.rmi.RemoteException,
                                                ServiceException

  Get the identity of this directive in the using application.

  Returns:
    id if found, null or empty string otherwise.
  Throws:
    `java.rmi.RemoteException` - if error getting remote environment.
    `ServiceException`

### setInternalIdentity

    void setInternalIdentity(java.lang.String internalId)
                             throws java.rmi.RemoteException,
                                    ServiceException

  Set the identity of this directive in the using application. This should not be set/used outside the application that manages this object.

  Parameters:
    `internalId` - the UUID/GUID of this directive.
  Throws:
    `java.rmi.RemoteException` - if error getting remote environment.
    `ServiceException`

### getExecutionURIById

    java.net.URI getExecutionURIById()
                                     throws java.rmi.RemoteException,
                                            ServiceException

  Get the URI used to execute a directive by internal identity. This URI should be called with a POST action and will return a job information necessary for status of the execution. This should be used with the POST HttpMethod. The returned object should have a "link" with rel="status" to used for status. See: http://sww.sas.com/saspedia/Data_Loader_REST_API#POST_.2Fjobs_:_Run_Directive See: http://sww.sas.com/saspedia/Data_Loader_REST_API for more details.

  Returns:
    URI if able to build, null otherwise.
  Throws:
    `java.rmi.RemoteException` - if error contacting OMR
    `ServiceException` - if error building up URI.

### getExecutionURIByPath

    java.net.URI getExecutionURIByPath()
                                       throws java.rmi.RemoteException,
                                              ServiceException

  Get the URI used to execute a directive by path. This URI should be called with a POST action and will return a job information necessary for status of the execution. This should be used with the POST HttpMethod. The returned object should have a "link" with rel="status" to used for status. See: http://sww.sas.com/saspedia/Data_Loader_REST_API#POST_.2Fjobs_:_Run_Directive See: http://sww.sas.com/saspedia/Data_Loader_REST_API for more details.

  Returns:
    URI if able to build, null otherwise.
  Throws:
    `java.rmi.RemoteException` - if error contacting OMR
    `ServiceException` - if error building up URI.

### getApplicationRestURI

    java.net.URI getApplicationRestURI()
                                       throws java.rmi.RemoteException,
                                              ServiceException

  Get the hosting application REST API URI for this object type. This should get you to the following API: http://sww.sas.com/saspedia/Data_Loader_REST_API

  Returns:
    URI if able to build, null otherwise.
  Throws:
    `java.rmi.RemoteException` - if error contacting OMR
    `ServiceException` - if error building up URI.

### getApplicationOpenURI

    java.net.URI getApplicationOpenURI()
                                       throws java.rmi.RemoteException,
                                              ServiceException

  Get the hosting application Web access URI for this object type. This is for use in a Browser control or application. This should be used with the GET HttpMethod.

  Returns:
    URI if able to build, null otherwise.
  Throws:
    `java.rmi.RemoteException` - if error contacting OMR
    `ServiceException` - if error building up URI.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.